GNU bug report logs - #37347
'guix environment' fails after trying to follow the steps from "Running Guix Before It Is Installed" page

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Jan <tona_kosmicznego_smiecia@HIDDEN>; dated Mon, 9 Sep 2019 00:50:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 37347 <at> debbugs.gnu.org:


Received: (at 37347) by debbugs.gnu.org; 16 Sep 2019 16:01:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 16 12:01:14 2019
Received: from localhost ([127.0.0.1]:50878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i9tRC-0003OR-4t
	for submit <at> debbugs.gnu.org; Mon, 16 Sep 2019 12:01:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i9tRA-0003OC-9N
 for 37347 <at> debbugs.gnu.org; Mon, 16 Sep 2019 12:01:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53084)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i9tR4-0005dc-2w; Mon, 16 Sep 2019 12:01:06 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=49554 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i9tR3-0006oU-J6; Mon, 16 Sep 2019 12:01:05 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Jan <tona_kosmicznego_smiecia@HIDDEN>
Subject: Re: bug#37347: 'guix environment' fails after trying to follow the
 steps from "Running Guix Before It Is Installed" page
References: <20190909024917.19b37a23@kompiuter>
 <a977afd71a8202d4df2a64a94b3543ec748b20f4.camel@HIDDEN>
 <A4880CFB-0BD9-4474-9221-113042FAF297@HIDDEN>
 <20190911225318.49617ba0@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 16 Sep 2019 18:01:04 +0200
In-Reply-To: <20190911225318.49617ba0@HIDDEN> (Jan's message of "Wed, 11
 Sep 2019 22:53:18 +0200")
Message-ID: <87tv9c5iyn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37347
Cc: Julien Lepiller <julien@HIDDEN>,
 Jesse Gibbons <jgibbons2357@HIDDEN>, 37347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Jan,

Jan <tona_kosmicznego_smiecia@HIDDEN> skribis:

> guix/build/download.scm:313:6: In procedure tls-wrap:
> X.509 certificate of 'api.github.com' could not be verified:
>   signer-not-found
>   invalid

It looks like X.509 certificates used to authenticate web sites over
HTTPS could not be found.

Did you set environment variables and all as described at
<https://guix.gnu.org/manual/en/html_node/X_002e509-Certificates.html>?

HTH,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#37347; Package guix. Full text available.

Message received at 37347 <at> debbugs.gnu.org:


Received: (at 37347) by debbugs.gnu.org; 11 Sep 2019 20:53:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 11 16:53:28 2019
Received: from localhost ([127.0.0.1]:42818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i89cG-0002Zo-5t
	for submit <at> debbugs.gnu.org; Wed, 11 Sep 2019 16:53:28 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.153]:34059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i89cE-0002ZX-65
 for 37347 <at> debbugs.gnu.org; Wed, 11 Sep 2019 16:53:27 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.26.126
X-Interia-R-Helo: <localhost>
Received: from localhost (89-64-26-126.dynamic.chello.pl [89.64.26.126])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA;
 Wed, 11 Sep 2019 22:53:19 +0200 (CEST)
Date: Wed, 11 Sep 2019 22:53:18 +0200
From: Jan <tona_kosmicznego_smiecia@HIDDEN>
To: Julien Lepiller <julien@HIDDEN>
Subject: Re: bug#37347: 'guix environment' fails after trying to follow the
 steps from "Running Guix Before It Is Installed" page
Message-ID: <20190911225318.49617ba0@HIDDEN>
In-Reply-To: <A4880CFB-0BD9-4474-9221-113042FAF297@HIDDEN>
References: <20190909024917.19b37a23@kompiuter>
 <a977afd71a8202d4df2a64a94b3543ec748b20f4.camel@HIDDEN>
 <A4880CFB-0BD9-4474-9221-113042FAF297@HIDDEN>
X-Mailer: Claws Mail 3.17.3 (GTK+ 2.24.32; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1568235199;
 bh=GNh9KvbxMSxeLHZCN8eEYIztacUP+ec6PUm2V9Omz7M=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Cc:
 Subject:Message-ID:In-Reply-To:References:X-Mailer:MIME-Version:
 Content-Type:Content-Transfer-Encoding:X-Interia-Antivirus;
 b=VpX2u1BYZD6EDHyKu619eIkSEBnzjZoFl2TAg4rz+XleqIM1uJdLC6rhZaXSkm71i
 3lvuyQo8WvCXvGFqUkz+4eP3cmAnoI54SxHFLqYTHuI76RvZfd7pVRBWdDfbJ72WoM
 t8wR8kfd77dLI4KvLsuoWPp3KL7teXffTnfMA7dI=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37347
Cc: Jesse Gibbons <jgibbons2357@HIDDEN>, 37347 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Do not run ./configure alone, always specify --localstatedir=/var
> unless you plan to run the daemon from the repo too (then it's fine
> without the option, but you won't be able to pull or you'll get into
> trouble iiuc).

Thank you all for advice, after running 
./configure --localstatedir=/var the file has been generated. Then to
be able to run Guix, I had to do "make check". Now I have Guix available
and I would like to update a package, like showed in the manual or the
tutorial, but running for example "./pre-inst-env guix refresh opendht"
throws the following error:

Backtrace:
          18 (apply-smob/1 #<catch-closure 1085500>)
In ice-9/boot-9.scm:
    705:2 17 (call-with-prompt _ _ #<procedure default-prompt-handle?>)
In ice-9/eval.scm:
    619:8 16 (_ #(#(#<directory (guile-user) 1149140>)))
In guix/ui.scm:
  1692:12 15 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9 14 (catch _ _ #<procedure 7f193bf32e98 at guix/ui.scm:623?> ?)
    829:9 13 (catch _ _ #<procedure 7f193bf32eb0 at guix/ui.scm:746?> ?)
In guix/store.scm:
   623:10 12 (call-with-store _)
  1803:24 11 (run-with-store #<store-connection 256.99 30cd0c0> _ # _ ?)
In guix/scripts/refresh.scm:
   541:14 10 (_ _)
In srfi/srfi-1.scm:
    640:9  9 (for-each #<procedure 35fd100 at guix/scripts/refresh.?> ?)
In guix/scripts/refresh.scm:
    344:2  8 (check-for-package-update #<package opendht@HIDDEN gnu/?> ?)
In guix/import/github.scm:
   231:25  7 (latest-release #<package opendht@HIDDEN gnu/packages/ne?>)
   200:22  6 (latest-released-version "https://github.com/savoirfai?" ?)
    163:2  5 (fetch-releases-or-tags _)
In ice-9/boot-9.scm:
    829:9  4 (catch srfi-34 #<procedure 3618860 at guix/import/json?> ?)
In guix/import/json.scm:
    41:19  3 (_)
In guix/http-client.scm:
    88:25  2 (http-fetch _ #:port _ #:text? _ #:buffered? _ # _ # _ # ?)
In guix/build/download.scm:
    426:4  1 (open-connection-for-uri _ #:timeout _ # _)
    313:6  0 (tls-wrap #<closed: file 3736c40> _ # _)

guix/build/download.scm:313:6: In procedure tls-wrap:
X.509 certificate of 'api.github.com' could not be verified:
  signer-not-found
  invalid

Am I missing a dependency in my environment? Running "guix refresh"
without ./pre-inst-env and "guix environment guix --pure" works.

----
Jan Wielkiewicz




Information forwarded to bug-guix@HIDDEN:
bug#37347; Package guix. Full text available.

Message received at 37347 <at> debbugs.gnu.org:


Received: (at 37347) by debbugs.gnu.org; 9 Sep 2019 06:27:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 02:27:20 2019
Received: from localhost ([127.0.0.1]:39475 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7D8y-00012P-89
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 02:27:20 -0400
Received: from lepiller.eu ([89.234.186.109]:36686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1i7D8v-00012C-TE
 for 37347 <at> debbugs.gnu.org; Mon, 09 Sep 2019 02:27:18 -0400
Received: from lepiller.eu (localhost [127.0.0.1])
 by lepiller.eu (OpenSMTPD) with ESMTP id 4bf56f46;
 Mon, 9 Sep 2019 06:27:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=lepiller.eu; h=date
 :in-reply-to:references:mime-version:content-type
 :content-transfer-encoding:subject:to:from:message-id; s=dkim;
 bh=7bi1ZiiikLCzdX01l3sDgBoj3p4=; b=AwlM9KdOF8OYiF3U0Ti7cuNNUq+X
 bz4Dc7z44s6rFE+7VSb4uUtxiY40AcZSWs9nm8SNbaUGz/M7ABRiAaezlLWvU98N
 AkRIWXGgyvpUwPKY6nsl/iiVdzOV3gpCKHcy0uN21L6xcI90gY9IfLnbu2IDgrXl
 zuYIXAjZA8KkdBYKmlTywscuHmxaXcNcF4BTY/Zq6RksBy4EHG8YC8+n5VyDtryv
 DRSmUu6PBbHpAUzOpMWPqh9egZbXmK9HG5tnyU3pqzjxKA0sE150K2vIFqF4dxQc
 J/u21H9ZvdjxKlRE2lQyas2LhpjwSvpZ/XkHaUZ1h6liUK3+Xgz7pI1qYw==
DomainKey-Signature: a=rsa-sha1; c=nofws; d=lepiller.eu; h=date
 :in-reply-to:references:mime-version:content-type
 :content-transfer-encoding:subject:to:from:message-id; q=dns; s=
 dkim; b=dANZ9M2pwshlJea47aT+6S8jGUalafIV8d+xiwCGnbfLQWTzXIME1efQ
 o0bWtHh2B2y5ZdOX/yQu6VzNBDVPmjxAJ3f5Z7LkBeLCMKYjFWNgN+CUF4hqHBCX
 ZenUpB7csXBz/HCVeiNURUJEiK7AFgd5C4Rxquus+dSqZBIpTuf85+3PVTLrdQSR
 acHilsck9ZDfMTq8uFSJbUAn7ioM+92qw1TvyrYcfluhL9wpGSoOiiEwHWODTfgm
 T/fSTVEzPNEqRixYhFkQCk+Q5/INeBKNsUvb9UKtDE8sXDXgiV38XLhxjdF3Ti37
 06ML8WwkSQ5cAQ/laW+BiWUri2BtWQ==
Received: by lepiller.eu (OpenSMTPD) with ESMTPSA id 33cd9d8f
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Mon, 9 Sep 2019 06:27:11 +0000 (UTC)
Date: Mon, 09 Sep 2019 08:23:50 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <a977afd71a8202d4df2a64a94b3543ec748b20f4.camel@HIDDEN>
References: <20190909024917.19b37a23@kompiuter>
 <a977afd71a8202d4df2a64a94b3543ec748b20f4.camel@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#37347: 'guix environment' fails after trying to follow the
 steps from "Running Guix Before It Is Installed" page
To: Jesse Gibbons <jgibbons2357@HIDDEN>,
 Jan <tona_kosmicznego_smiecia@HIDDEN>, 37347 <at> debbugs.gnu.org
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <A4880CFB-0BD9-4474-9221-113042FAF297@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37347
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le 9 septembre 2019 03:14:05 GMT+02:00, Jesse Gibbons <jgibbons2357@gmail=
=2Ecom> a =C3=A9crit :
>On Mon, 2019-09-09 at 02:49 +0200, Jan wrote:
>> Hi, I'm a new Guix user and I wanted to hack on Guix and update a
>> package, I hadn't known exactly how to do this, so I started
>> following
>> instructions from
>> https://guix=2Egnu=2Eorg/manual/en/html_node/Running-Guix-Before-It-Is-=
In
>> stalled=2Ehtml#Running-Guix-Before-It-Is-Installed
>> and
>> https://guix=2Egnu=2Eorg/blog/2018/a-packaging-tutorial-for-guix/
>>=20
>> The situation started to be interesting, when the tutorial told me to
>> run "cd $GUIX_CHECKOUT" and "=2E/pre-inst-env guix package
>> --list-available=3Druby"
>> I was confused, because I couldn't find any "=2E/pre-inst-env" file, so
>> I
>> used 'find' to search for it and there were one file with a similar
>> name
>> in $GUIX_CHECKOUT/build-aux - =2E/pre-inst-env=2Ein (as I'm composing
>> this
>> email now I see that's stupid, but I tried using this file, as I
>> don't
>> know what I was doing (still don't know))
>> So I started running the following stupid commands:
>>=20
>> ----------------
>> user@machine ~/Prog/repo/guix [env]$ sudo -E =2E/pre-inst-env=2Ein
>> guix-daemon --build-users-group=3Dguixbuild
>>=20
>> sudo: /gnu/store/z26h622slm8p61myhk45v3jjg8p7qm8z-profile/bin/sudo
>> must
>> be owned by uid 0 and have the setuid bit set=20
>>=20
>> user@machine ~/Prog/repo/guix [env]$ =2E/pre-inst-env=2Ein
>> bash: =2E/pre-inst-env=2Ein: No such file or directory=20
>> user@machine ~/Prog/repo/guix [env]$ cd build-aux/=20
>> user@machine ~/Prog/repo/guix/build-aux [env]$ sudo
>> -E =2E/pre-inst-env=2Ein guix-daemon --build-users-group=3Dguixbuild
>> sudo: /gnu/store/z26h622slm8p61myhk45v3jjg8p7qm8z-profile/bin/sudo
>> must
>> be owned by uid 0 and have the setuid bit set=20
>> user@machine ~/Prog/repo/guix/build-aux [env]$ exit
>> ---------------
>>=20
>> And then:
>>=20
>> ------------------
>> user@machine ~/Prog/repo/guix/build-aux$ chmod +x =2E/pre-inst-env=2Ein=
=20
>> user@machine ~/Prog/repo/guix/build-aux$ sudo -E =2E/pre-inst-env=2Ein
>> guix-daemon --build-users-group=3Dguixbuild Password:=20
>> =2E/pre-inst-env=2Ein: line 33: cd: @abs_top_srcdir@:
>> there is no such file or directory=20
>> =2E/pre-inst-env=2Ein: line 34: cd:
>> @abs_top_builddir@: there is no such file or directory
>> --------------------
>>=20
>> And after that I couldn't run "guix
>> environment" anymore, it threw an error:
>>=20
>> guix environment: error: failed to connect to
>> `/var/guix/daemon-socket/socket': Connection refused
>>=20
>> Restarting the computer helps, but doing the same stuff breaks it
>> again, so guess it's reproducible=2E
>>=20
>> After doing it I ran the "history" command so you can know what I did
>> exactly (some commands were unfortunately run in an environment and I
>> can't provide them), here it is:
>>=20
>>   371  git clone --recurse-submodules
>>   git://git=2Esavannah=2Egnu=2Eorg/guix=2Egit=20
>>   372  guix environment guix --pure
>>   373  sudo -E
>>   374  sudo --help
>>   375  guix environment guix --pure
>>   376  guix environment guix --pure --ad-hoc sudo=20
>>   377  ls
>>   378  cd guix/
>>   379  ls
>>   380  cd build-aux/
>>   381  ls
>>   382  =2E
>>   383  guix environment guix --pure
>>   384  chmod +x =2E/pre-inst-env=2Ein=20
>>   385  sudo -E =2E/pre-inst-env=2Ein guix-daemon
>>   --build-users-group=3Dguixbuild=20
>>   386  ls
>>   387  cd =2E=2E
>>   388  =2E/configure=20
>>   389  guix environment guix --pure
>>   390  history
>>=20
>> As stupid and complicated as it is, something is definitely broken
>> here=2E
>>=20
>> Sincerely,
>> Jan Wielkiewicz
>>=20
>>=20
>>=20
>
>pre-inst-env=2Ein is for generating the pre-inst-env script=2E Have you
>tried:
>=2E/bootstrap
>=2E/configure
>
>This should generate pre-inst-env for you=2E
>
>Also, make sure the guix daemon is running after you restart=2E

Do not run =2E/configure alone, always specify --localstatedir=3D/var unle=
ss you plan to run the daemon from the repo too (then it's fine without the=
 option, but you won't be able to pull or you'll get into trouble iiuc)=2E




Information forwarded to bug-guix@HIDDEN:
bug#37347; Package guix. Full text available.

Message received at 37347 <at> debbugs.gnu.org:


Received: (at 37347) by debbugs.gnu.org; 9 Sep 2019 01:14:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 21:14:15 2019
Received: from localhost ([127.0.0.1]:39357 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i78Fy-0005mL-PK
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2019 21:14:15 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:41138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jgibbons2357@HIDDEN>) id 1i78Fw-0005m5-Md
 for 37347 <at> debbugs.gnu.org; Sun, 08 Sep 2019 21:14:13 -0400
Received: by mail-pg1-f181.google.com with SMTP id x15so6803770pgg.8
 for <37347 <at> debbugs.gnu.org>; Sun, 08 Sep 2019 18:14:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:subject:from:to:in-reply-to:references:date:mime-version
 :content-transfer-encoding;
 bh=+8R2GC4RsOjTSwdVTReKywKyfV7EaDVFQxsmYqRDKVQ=;
 b=LWdhI66eiVvLQAIbTCMNVNSa3NqRLu5z53wdSFq4JakVNKT/WA+GuqsroNFUIp6Gxy
 dpLzNxpTweeaNNQnh9ZABd7tcWhZNNzJZGYPhtbng/Q6trZfrPxlLodoE3VDMEayCCPq
 TbgzCX5BQKf/+/+447BBY4UEtT8tKLS5pC7/0T1hQCEG87sE5goJkYyY/Y4+6BXxgsOp
 wd+KSfHp9u9gsvxaqbl5hDRL4N+K4bO4kzoydwOVteNse84wCSqwxhdFFpkX5t9vWtsD
 /C0vSJLIrY2a0OEtGgeW1VKpeRNZ2E8s/wFdKlHQyEiQIBacBOSxB5gfBNbZZ2aXces3
 OkRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:in-reply-to
 :references:date:mime-version:content-transfer-encoding;
 bh=+8R2GC4RsOjTSwdVTReKywKyfV7EaDVFQxsmYqRDKVQ=;
 b=Rl/KVLODNL94kpDwgeGJMrEwU3bvzRuVltIJR1EWS03cFHeAibkAigEgvYrhH7DMFZ
 4lIF5ocgRwFofcNGMAhd1d5KjCXyKWCg/QGwyb2ZsQlH1pdzqKS910rQcOopcXliSiIh
 T8qAJr8Rqsi5bjeZldh+GpvI+Z3eOzSiUqhv5gJlAR3w0YnpFdAsyxqJ19IQBhgYmVHa
 8T5P1mDcfA8IRZ6vuXfDA9W806JePl1BcuuGJOR3BxrPvUtsYNf1yjQq8f/X94W0tHkk
 CK7XUOt46lMUMJTHaB9M1/4Ke3VoBuheZbFrat8eOPDhrkq/EusBHutPzyZSwzdIBv4A
 Pwmw==
X-Gm-Message-State: APjAAAWDNDCfj+Y9ewF1h6QEkB2i+4cg4a2Q46E8ULnTN3M70XBzqomH
 cAeEOnQg+IQjz7U5QMTHzB7XykEr
X-Google-Smtp-Source: APXvYqxnYmxpseEXnsqWmG3IQI8atf8ii0q3poOVzk0w3P45toJ6ZBXg5hBUoz94z06TJkcVVAehZQ==
X-Received: by 2002:a62:ea0d:: with SMTP id t13mr18545324pfh.171.1567991646798; 
 Sun, 08 Sep 2019 18:14:06 -0700 (PDT)
Received: from piranhaplant.local ([199.68.53.171])
 by smtp.googlemail.com with ESMTPSA id
 k15sm14032261pfk.168.2019.09.08.18.14.05
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 08 Sep 2019 18:14:06 -0700 (PDT)
Message-ID: <a977afd71a8202d4df2a64a94b3543ec748b20f4.camel@HIDDEN>
Subject: Re: bug#37347: 'guix environment' fails after trying to follow the
 steps from "Running Guix Before It Is Installed" page
From: Jesse Gibbons <jgibbons2357@HIDDEN>
To: Jan <tona_kosmicznego_smiecia@HIDDEN>, 37347 <at> debbugs.gnu.org
In-Reply-To: <20190909024917.19b37a23@kompiuter>
References: <20190909024917.19b37a23@kompiuter>
Content-Type: text/plain; charset="UTF-8"
Date: Sun, 08 Sep 2019 19:14:05 -0600
Mime-Version: 1.0
X-Mailer: Evolution 3.28.1 
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 37347
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, 2019-09-09 at 02:49 +0200, Jan wrote:
> Hi, I'm a new Guix user and I wanted to hack on Guix and update a
> package, I hadn't known exactly how to do this, so I started
> following
> instructions from
> https://guix.gnu.org/manual/en/html_node/Running-Guix-Before-It-Is-In
> stalled.html#Running-Guix-Before-It-Is-Installed
> and
> https://guix.gnu.org/blog/2018/a-packaging-tutorial-for-guix/
> 
> The situation started to be interesting, when the tutorial told me to
> run "cd $GUIX_CHECKOUT" and "./pre-inst-env guix package
> --list-available=ruby"
> I was confused, because I couldn't find any "./pre-inst-env" file, so
> I
> used 'find' to search for it and there were one file with a similar
> name
> in $GUIX_CHECKOUT/build-aux - ./pre-inst-env.in (as I'm composing
> this
> email now I see that's stupid, but I tried using this file, as I
> don't
> know what I was doing (still don't know))
> So I started running the following stupid commands:
> 
> ----------------
> user@machine ~/Prog/repo/guix [env]$ sudo -E ./pre-inst-env.in
> guix-daemon --build-users-group=guixbuild
> 
> sudo: /gnu/store/z26h622slm8p61myhk45v3jjg8p7qm8z-profile/bin/sudo
> must
> be owned by uid 0 and have the setuid bit set 
> 
> user@machine ~/Prog/repo/guix [env]$ ./pre-inst-env.in
> bash: ./pre-inst-env.in: No such file or directory 
> user@machine ~/Prog/repo/guix [env]$ cd build-aux/ 
> user@machine ~/Prog/repo/guix/build-aux [env]$ sudo
> -E ./pre-inst-env.in guix-daemon --build-users-group=guixbuild
> sudo: /gnu/store/z26h622slm8p61myhk45v3jjg8p7qm8z-profile/bin/sudo
> must
> be owned by uid 0 and have the setuid bit set 
> user@machine ~/Prog/repo/guix/build-aux [env]$ exit
> ---------------
> 
> And then:
> 
> ------------------
> user@machine ~/Prog/repo/guix/build-aux$ chmod +x ./pre-inst-env.in 
> user@machine ~/Prog/repo/guix/build-aux$ sudo -E ./pre-inst-env.in
> guix-daemon --build-users-group=guixbuild Password: 
> ./pre-inst-env.in: line 33: cd: @abs_top_srcdir@:
> there is no such file or directory 
> ./pre-inst-env.in: line 34: cd:
> @abs_top_builddir@: there is no such file or directory
> --------------------
> 
> And after that I couldn't run "guix
> environment" anymore, it threw an error:
> 
> guix environment: error: failed to connect to
> `/var/guix/daemon-socket/socket': Connection refused
> 
> Restarting the computer helps, but doing the same stuff breaks it
> again, so guess it's reproducible.
> 
> After doing it I ran the "history" command so you can know what I did
> exactly (some commands were unfortunately run in an environment and I
> can't provide them), here it is:
> 
>   371  git clone --recurse-submodules
>   git://git.savannah.gnu.org/guix.git 
>   372  guix environment guix --pure
>   373  sudo -E
>   374  sudo --help
>   375  guix environment guix --pure
>   376  guix environment guix --pure --ad-hoc sudo 
>   377  ls
>   378  cd guix/
>   379  ls
>   380  cd build-aux/
>   381  ls
>   382  .
>   383  guix environment guix --pure
>   384  chmod +x ./pre-inst-env.in 
>   385  sudo -E ./pre-inst-env.in guix-daemon
>   --build-users-group=guixbuild 
>   386  ls
>   387  cd ..
>   388  ./configure 
>   389  guix environment guix --pure
>   390  history
> 
> As stupid and complicated as it is, something is definitely broken
> here.
> 
> Sincerely,
> Jan Wielkiewicz
> 
> 
> 

pre-inst-env.in is for generating the pre-inst-env script. Have you
tried:
./bootstrap
./configure

This should generate pre-inst-env for you.

Also, make sure the guix daemon is running after you restart.




Information forwarded to bug-guix@HIDDEN:
bug#37347; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Sep 2019 00:49:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 08 20:49:39 2019
Received: from localhost ([127.0.0.1]:39336 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i77sB-00058M-DD
	for submit <at> debbugs.gnu.org; Sun, 08 Sep 2019 20:49:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:40630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i77s9-00058E-96
 for submit <at> debbugs.gnu.org; Sun, 08 Sep 2019 20:49:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:47610)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i77s7-0003fc-Ib
 for bug-guix@HIDDEN; Sun, 08 Sep 2019 20:49:37 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i77s6-0002IE-7R
 for bug-guix@HIDDEN; Sun, 08 Sep 2019 20:49:35 -0400
Received: from smtpo.poczta.interia.pl ([217.74.65.153]:60242)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <tona_kosmicznego_smiecia@HIDDEN>)
 id 1i77s5-0002Ga-It
 for bug-guix@HIDDEN; Sun, 08 Sep 2019 20:49:34 -0400
X-Interia-R: Interia
X-Interia-R-IP: 89.64.25.42
X-Interia-R-Helo: <kompiuter>
Received: from kompiuter (89-64-25-42.dynamic.chello.pl [89.64.25.42])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by poczta.interia.pl (INTERIA.PL) with ESMTPSA
 for <bug-guix@HIDDEN>; Mon,  9 Sep 2019 02:49:29 +0200 (CEST)
Date: Mon, 9 Sep 2019 02:49:17 +0200
From: Jan <tona_kosmicznego_smiecia@HIDDEN>
To: bug-guix@HIDDEN
Subject: 'guix environment' fails after trying to follow the steps from
 "Running Guix Before It Is Installed" page
Message-ID: <20190909024917.19b37a23@kompiuter>
X-Mailer: Claws Mail 3.14.1 (GTK+ 2.24.31; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Interia-Antivirus: OK
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=interia.pl;
 s=biztos; t=1567990171;
 bh=hmDu1GhwZuvACkumqTeuo4Gy5/mVW8BV5BN4Pcpaxng=;
 h=X-Interia-R:X-Interia-R-IP:X-Interia-R-Helo:Date:From:To:Subject:
 Message-ID:X-Mailer:MIME-Version:Content-Type:
 Content-Transfer-Encoding:X-Interia-Antivirus;
 b=YThmQBDK/osreyaUGcl/mgvlDAPZw8vYHYqUHzPK8AO0N+f0n4naE4JyYceEnyzHf
 +aX3XBMyFxJHzhOvYetFH2letLg/7jzHB9N3h7oHTiEN30wTAVbmNn4v0FNKGcH4zr
 G0Sao1HX9W8snHGLda1r6JTHifwj7NVuvHNzevMo=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic]
X-Received-From: 217.74.65.153
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

Hi, I'm a new Guix user and I wanted to hack on Guix and update a
package, I hadn't known exactly how to do this, so I started following
instructions from
https://guix.gnu.org/manual/en/html_node/Running-Guix-Before-It-Is-Installed.html#Running-Guix-Before-It-Is-Installed
and
https://guix.gnu.org/blog/2018/a-packaging-tutorial-for-guix/

The situation started to be interesting, when the tutorial told me to
run "cd $GUIX_CHECKOUT" and "./pre-inst-env guix package
--list-available=ruby"
I was confused, because I couldn't find any "./pre-inst-env" file, so I
used 'find' to search for it and there were one file with a similar name
in $GUIX_CHECKOUT/build-aux - ./pre-inst-env.in (as I'm composing this
email now I see that's stupid, but I tried using this file, as I don't
know what I was doing (still don't know))
So I started running the following stupid commands:

----------------
user@machine ~/Prog/repo/guix [env]$ sudo -E ./pre-inst-env.in
guix-daemon --build-users-group=guixbuild

sudo: /gnu/store/z26h622slm8p61myhk45v3jjg8p7qm8z-profile/bin/sudo must
be owned by uid 0 and have the setuid bit set 

user@machine ~/Prog/repo/guix [env]$ ./pre-inst-env.in
bash: ./pre-inst-env.in: No such file or directory 
user@machine ~/Prog/repo/guix [env]$ cd build-aux/ 
user@machine ~/Prog/repo/guix/build-aux [env]$ sudo
-E ./pre-inst-env.in guix-daemon --build-users-group=guixbuild
sudo: /gnu/store/z26h622slm8p61myhk45v3jjg8p7qm8z-profile/bin/sudo must
be owned by uid 0 and have the setuid bit set 
user@machine ~/Prog/repo/guix/build-aux [env]$ exit
---------------

And then:

------------------
user@machine ~/Prog/repo/guix/build-aux$ chmod +x ./pre-inst-env.in 
user@machine ~/Prog/repo/guix/build-aux$ sudo -E ./pre-inst-env.in
guix-daemon --build-users-group=guixbuild Password: 
./pre-inst-env.in: line 33: cd: @abs_top_srcdir@:
there is no such file or directory 
./pre-inst-env.in: line 34: cd:
@abs_top_builddir@: there is no such file or directory
--------------------

And after that I couldn't run "guix
environment" anymore, it threw an error:

guix environment: error: failed to connect to
`/var/guix/daemon-socket/socket': Connection refused

Restarting the computer helps, but doing the same stuff breaks it
again, so guess it's reproducible.

After doing it I ran the "history" command so you can know what I did
exactly (some commands were unfortunately run in an environment and I
can't provide them), here it is:

  371  git clone --recurse-submodules
  git://git.savannah.gnu.org/guix.git 
  372  guix environment guix --pure
  373  sudo -E
  374  sudo --help
  375  guix environment guix --pure
  376  guix environment guix --pure --ad-hoc sudo 
  377  ls
  378  cd guix/
  379  ls
  380  cd build-aux/
  381  ls
  382  .
  383  guix environment guix --pure
  384  chmod +x ./pre-inst-env.in 
  385  sudo -E ./pre-inst-env.in guix-daemon
  --build-users-group=guixbuild 
  386  ls
  387  cd ..
  388  ./configure 
  389  guix environment guix --pure
  390  history

As stupid and complicated as it is, something is definitely broken
here.

Sincerely,
Jan Wielkiewicz




Acknowledgement sent to Jan <tona_kosmicznego_smiecia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#37347; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 Sep 2019 16:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.